Warn about all existing files in save as
Status: Open

Priority: Normal

Assignee:

Category: GUI

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 15828
Description

Vector/raster save as dialog only warns user about file existence of file with 'base’ extension. For example, if foo.shp was selected and it
does not exist but foo.dbf exists, then user is not warned and foo.dbf is silently overwritten.

At this moment it cannot be easily fixed (where warning is generated) because QFileDialog does not support such feature (test multiple
extensions for existence).

Another issue is, that if file name is typed by hand, user is not warned at all. | am not sure if it is desired or not, maybe power users typing
files names don't need to be warned?

History

#1 - 2012-11-07 04:12 AM - Radim Blazek
- Category set to GUI

#2 - 2017-05-01 12:48 AM - Giovanni Manghi
- Easy fix? set to No

#3 - 2018-02-26 10:42 AM - Radim Blazek

- Description updated

Still problem in 3.0, e.g. .dbf file is silently overridden if .shp does not exist.

The second problem is solved, user is warned if a file of the name typed by hand exists. It means that now the check is not done by the file dialog but when

OK is clicked which makes the fix easier but it will be difficult to get list of file extensions from GDAL. It would probably require to keep our list in QGIS.
